Name: H5Fmount
Signature:
  herr_t `H5Fmount`(hid_t `loc_id`, const char *`name`, hid_t `child_id`, hid_t `plist_id` )
Purpose:
  Mounts a file.
Description:
  `H5Fmount` mounts the file specified by `child_id` onto the group specified by `loc_id` and `name` using the mount properties `plist_id`.

  Note that `loc_id` is either a file or group identifier and `name` is relative to `loc_id`.

Parameters:

hid_t `loc_id` | IN: Identifier for of file or group in which `name` is defined.
const char *`name` | IN: Name of the group onto which the file specified by `child_id` is to be mounted.
hid_t `child_id` | IN: Identifier of the file to be mounted.
hid_t `plist_id` | IN: Identifier of the property list to be used.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5fmount_f

      SUBROUTINE h5fmount_f(loc_id, name, child_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)  :: loc_id      ! File or group identifier
        CHARACTER(LEN=*), INTENT(IN):: name        ! Group name at locationloc_id
        INTEGER(HID_T), INTENT(IN)  :: child_id    ! File(to be mounted) identifier
        INTEGER, INTENT(OUT)        :: hdferr      ! Error code
                                                   ! 0 on success and -1 on failure
      END SUBROUTINE h5fmount_f